#!/usr/bin/env python3
import argparse
import sys
if __name__ == '__main__':
    parser = argparse.ArgumentParser()
    gps = parser.add_mutually_exclusive_group(required=True)
    parser.add_argument("-i", "--input",
                        help="input file for dots - if none, generate dots")
    gps.add_argument("-s", "--show", action="store_true",
                        help="show cloud of dots with u1 and u2")
    gps.add_argument("-l", "--loop", type=int,
                    help="number of loop to show/perform on randomized dots from originals ones")
    parser.add_argument("-d", "--delay", type=float,
                    help="amount of time between each loop")
    parser.add_argument("-n", "--noise", type = float,
                    help="maximum value of the noise applied between each step")
    # parser.print_usage()
    args = parser.parse_args(sys.argv[1:])